This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 475354

Summary: gpk-application dependency problem
Product: [Fedora] Fedora Reporter: maysl
Component: gnome-packagekitAssignee: Richard Hughes <richard>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: low    
Version: 10CC: joachim.backes, rhughes, richard, robin.norwood
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-12-10 04:04:21 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description maysl 2008-12-08 17:33:34 EST
Very frustrating bug in fresh F.10 install:

gpk-application: error while loading shared libraries: libpackagekit-glib.so.10: cannot open shared object file: No such file or directory

[root@asterix marcel]# yum whatprovides libpackagekit-glib.so.10
Loaded plugins: refresh-packagekit
PackageKit-glib-0.3.9-4.fc10.i386 : GLib libraries for accessing PackageKit
Matched from:
Other       : libpackagekit-glib.so.10

[root@asterix marcel]# yum install PackageKit-glib-0.3.9-4.fc10
Loaded plugins: refresh-packagekit
Setting up Install Process
Parsing package install arguments
Package matching PackageKit-glib-0.3.9-4.fc10.x86_64 already installed. Checking for update.
Nothing to do

[root@asterix marcel]# yum remove PackageKit-glib-0.3.9-4.fc10
Loaded plugins: refresh-packagekit
Setting up Remove Process
No Match for argument: PackageKit-glib-0.3.9-4.fc10
Package(s) PackageKit-glib-0.3.9-4.fc10 available, but not installed.
No Packages marked for removal

Steps to Reproduce:
1. fresh F.10 install
2. try to start gpk-application
  
Actual results:
unresolvable dependency - package installed and missing at the same time

Expected results:
package manager gui
Comment 1 Joachim Backes 2008-12-10 02:02:35 EST
Same problem when running "yum update" in an installed F10:

Resolving Dependencies
--> Running transaction check
---> Package PackageKit-yum-plugin.i386 0:0.3.11-4.fc10 set to be updated
--> Processing Dependency: libpackagekit-glib.so.10 for package: gnome-packagekit
---> Package PackageKit-udev-helper.i386 0:0.3.11-4.fc10 set to be updated
---> Package PackageKit-yum.i386 0:0.3.11-4.fc10 set to be updated
---> Package PackageKit-glib.i386 0:0.3.11-4.fc10 set to be updated
---> Package PackageKit.i386 0:0.3.11-4.fc10 set to be updated
--> Finished Dependency Resolution
gnome-packagekit-0.3.9-8.fc10.i386 from installed has depsolving problems
  --> Missing Dependency: libpackagekit-glib.so.10 is needed by package gnome-packagekit-0.3.9-8.fc10.i386 (installed)
Error: Missing Dependency: libpackagekit-glib.so.10 is needed by package gnome-packagekit-0.3.9-8.fc10.i386 (installed)

This happens since december 09, 2008
Comment 2 Richard Hughes 2008-12-10 04:04:21 EST

*** This bug has been marked as a duplicate of bug 475074 ***